RTF_GET_TYPE(3)

NAME
rtf_get_type - Gets the input or output data type of a filter

SYNOPSIS

#include <rtfilter.h>

int rtf_get_type(hfilter filt, int in);

DESCRIPTION

This function returns the data type of the input or output of the filter filt depending on in. If in is zero, then the returned type is the output data type. If in is non-zero, the function returns the input data type of the filter.

In case of the success, the returned type will be one of the constants (RTF_FLOAT, RTF_DOUBLE, RTF_CFLOAT or RTF_CDOUBLE) defined in the man page of rtf_create_filter(3).

RETURN VALUE

Returns the requested data type in case of success, -1 otherwise.

SEE ALSO
rtf_create_filter(3)